<template>
  <v-sheet
    class="mx-auto px-0"
  >
    <v-slide-group v-if="mFirstDay.days.length === days" :value="slideDay" mandatory center-active>
      <v-slide-item
        v-for="(n,i) in days"
        :key="n"
        v-slot="{ active, toggle }"
      >
        <v-sheet>
          <v-subheader>{{ mFirstDay.days[i] }}</v-subheader>
          <v-chip
            class="mx-2"
            :input-value="active"
            active-class="primary white--text"
            depressed
            rounded
            @click="changeDay(toggle, n)"
          >
            {{ n }}
          </v-chip>
        </v-sheet>
      </v-slide-item>
    </v-slide-group>
  </v-sheet>
</template>

<script>
import {mapState} from "vuex";

export default {
  name: "TaDays",
  data() {
    return {}
  },
  computed: {
    ...mapState({
      days: (state) => state.date.days,
      mFirstDay: (state) => state.date.mFirstDayWeek,
      day: (state) => state.date.day,
    }),
    slideDay() {
      // Different days number between georgian and jalali
      if (this.day > this.days)
        return 1
      else
        return this.day - 1
    }
  },
  mounted() {

  },
  methods: {
    /**
     * Change day vuex
     */
    changeDay(toggle, day) {
      // component slot
      toggle()
      // Vuex
      this.$store.dispatch('date/setDay', day)
    }
  }
}
</script>
